import * as reflect from 'jsii-reflect';
import { TypedTemplateExpression } from './expression';
import { ObjectLiteral } from '../parser/template';
export interface StructExpression {
    type: 'struct';
    fields: Record<string, TypedTemplateExpression>;
}
export declare function resolveStructExpression(x: ObjectLiteral, type: reflect.InterfaceType): StructExpression;
export declare function assertInterface(typeRef: reflect.TypeReference): reflect.InterfaceType;
