import * as reflect from 'jsii-reflect';
/**
 * Return all static methods from this type system
 *
 * Cache on the type system to not have to do this calculation again and again.
 */
export declare function allStaticMethods(ts: reflect.TypeSystem): reflect.Method[];
/**
 * Return all static factory methods that implement the given type
 */
export declare function allStaticFactoryMethods(type: reflect.Type): reflect.Method[];
