import { SchemaContext } from './jsii2schema';
export declare const schemaForRules: (ctx: SchemaContext) => {
    $comment: string;
    additionalProperties: boolean;
    patternProperties: {
        '^[a-zA-Z0-9]+$': {
            $ref: string;
        } | undefined;
    };
    type: string;
};
export declare const RuleExpression: (ctx: SchemaContext) => {
    type: string;
    anyOf: ({
        $ref: string;
    } | undefined)[];
};
